<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.AiIntelligentAssistantMapper">

    <insert id="insertList">
        INSERT INTO ai_intelligent_assistant (
        context,
        talk_source,
        type,
        reply_id,
        reply_date,
        delete_flag,
        created_time,
        created_user_id,
        updated_time,
        updated_user_id,
        user_id
        ) VALUES
        <foreach collection="list" item="item" separator=",">
            (
            #{item.context},
            #{item.talkSource},
            #{item.type},
            #{item.replyId},
            #{item.replyDate},
            #{item.deleteFlag},
            #{item.createdTime},
            #{item.createdUserId},
            #{item.updatedTime},
            #{item.updatedUserId},
            #{item.userId}
            )
        </foreach>
    </insert>

</mapper>
